Index: guiframe/data_manager.py
===================================================================
--- guiframe/data_manager.py	(revision e5c7052d85accebdd975ad13fc37c4a9de2158bc)
+++ guiframe/data_manager.py	(revision 248b91849bcd48b1754a3367b8071778a645ac7b)
@@ -96,7 +96,7 @@
         ## when 2 data have the same id override the 1 st plotted
         self.time_stamp += 1
-        new_plot.id = self.time_stamp
+        new_plot.id = str(name) + str(self.time_stamp)
         ##group_id specify on which panel to plot this data
-        new_plot.group_id = self.time_stamp
+        new_plot.group_id = str(name) + str(self.time_stamp)
         new_plot.is_data = True
         new_plot.path = path
@@ -224,9 +224,10 @@
         """
         """
-        if data_id in self.stored_data.keys():
-            data_state = self.stored_data[data_id]
-            if data_state.data.name in self.data_name_dict:
-                del self.data_name_dict[data_state.data.name]
-            del self.stored_data[data_id]
+        for d_id in data_id:
+            if d_id in self.stored_data.keys():
+                data_state = self.stored_data[d_id]
+                if data_state.data.name in self.data_name_dict:
+                    del self.data_name_dict[data_state.data.name]
+                del self.stored_data[d_id]
         
         self.delete_theory(data_id, theory_id)
Index: guiframe/data_panel.py
===================================================================
--- guiframe/data_panel.py	(revision 8cb8c89e4aa4e8b5917565436f0787318d0c2d5d)
+++ guiframe/data_panel.py	(revision 248b91849bcd48b1754a3367b8071778a645ac7b)
@@ -150,5 +150,5 @@
       
         self.sizer2 = wx.BoxSizer(wx.VERTICAL)
-        self.sizer3 = wx.FlexGridSizer(5, 2, 0, 0)
+        self.sizer3 = wx.FlexGridSizer(6, 2, 0, 0)
         self.sizer4 = wx.BoxSizer(wx.HORIZONTAL)
         self.sizer5 = wx.BoxSizer(wx.VERTICAL)
@@ -226,5 +226,5 @@
         self.enable_plot()
         self.enable_import()
-        #self.enable_remove()
+        self.enable_remove()
                
     def layout_button(self):
@@ -237,8 +237,8 @@
         self.bt_add.SetToolTipString("Load data files")
         wx.EVT_BUTTON(self, self.bt_add.GetId(), self._load_data)
-        #self.bt_remove = wx.Button(self, wx.NewId(), "Remove Data",
-        # size=(BUTTON_WIDTH, -1))
-        #self.bt_remove.SetToolTipString("Remove data from the application")
-        #wx.EVT_BUTTON(self, self.bt_remove.GetId(), self.on_remove)
+        self.bt_remove = wx.Button(self, wx.NewId(), "Remove Data",
+         size=(BUTTON_WIDTH, -1))
+        self.bt_remove.SetToolTipString("Remove data from the application")
+        wx.EVT_BUTTON(self, self.bt_remove.GetId(), self.on_remove)
         self.bt_import = wx.Button(self, wx.NewId(), "Send To",
                                     size=(BUTTON_WIDTH, -1))
@@ -272,4 +272,6 @@
         self.sizer3.AddMany([(self.bt_add),
                              ((10, 10)),
+                             (self.bt_remove),
+                             ((10, 10)),
                              (self.bt_import, 0, wx.EXPAND|wx.RIGHT, 5),
                               (self.perspective_cbox, wx.EXPAND),
@@ -283,5 +285,5 @@
         self.sizer3.AddGrowableCol(1, 1)
 
-        #self.enable_remove()
+        self.enable_remove()
         self.enable_import()
         self.enable_plot()
@@ -338,5 +340,5 @@
         self.enable_plot()
         self.enable_import()
-        #self.enable_remove()
+        self.enable_remove()
         event.Skip()
         
@@ -412,5 +414,5 @@
                                                               process.__str__())
                 self.append_theory(state_id, theory_list)
-        #self.enable_remove()
+        self.enable_remove()
         self.enable_import()
         self.enable_plot()
@@ -429,5 +431,5 @@
         self.enable_plot()
         self.enable_import()
-        #self.enable_remove()
+        self.enable_remove()
    
     def append_theory(self, state_id, theory_list):
@@ -710,5 +712,5 @@
         self.parent.remove_data(data_id=data_to_remove,
                                   theory_id=theory_to_remove)
-        #self.enable_remove()
+        self.enable_remove()
         self.enable_freeze()
         
@@ -718,6 +720,6 @@
         """
         data_id, theory_id, state_id = self.set_data_helper()
-        self.parent.set_data(data_id)
-        self.parent.set_data(data_id=state_id, theory_id=theory_id)
+        temp = data_id + state_id
+        self.parent.set_data(data_id=temp, theory_id=theory_id)
         
     def on_append_plot(self, event=None):
Index: guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- guiframe/local_perspectives/plotting/Plotter1D.py	(revision 450ae05281e03d54c3c292affe1fee799c36632f)
+++ guiframe/local_perspectives/plotting/Plotter1D.py	(revision 248b91849bcd48b1754a3367b8071778a645ac7b)
@@ -173,5 +173,5 @@
             if id in data_list.keys():
                 data = data_list[id]
-            else:
+            if id in theory_list.keys():
                 data = theory_list[id]
            
